[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# Function: BuildXComponentStruct()

> **BuildXComponentStruct**(`buildParams`): `void`

Builder function for creating an XComponentStruct component.
This function is used in DynamicView to build XComponent instances for Flutter rendering.

## Parameters

### buildParams

[`BuilderParams`](../../../view/DynamicView/dynamicView/classes/BuilderParams.md)

The BuilderParams containing the DVModelParameters for the XComponent

## Returns

`void`
